.modal {
  height: 250px;
  width: 500px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5);
  position: fixed;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 3;
}

.modal__header,
.modal__body {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 25px;
}

.modal__header {
  height: 25%;
  background-color: rgba(0, 0, 0, 0.2);
  font-size: 18px;
  font-weight: 500;
}

.modal__body {
  font-size: 14px;
  flex-direction: column;
  justify-content: center;
}

.modal__layout {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 2;

  &.addToCartModal {
    background-color: rgba(34, 17, 0, 0.5);
  }
}

.closeBtn {
  height: 20px;
  width: 20px;
  position: absolute;
  top: 18px;
  right: 24px;
  transition: all 0.5s ease-out;
  cursor: pointer;
}

.closeBtn::before {
  content: '';
  position: absolute;
  right: 40%;
  bottom: 4%;
  height: 20px;
  width: 3px;
  background: currentColor;
  transform: rotate(45deg);
}

.closeBtn::after {
  content: '';
  position: absolute;
  top: 40%;
  left: 4%;
  height: 3px;
  width: 100%;
  background: currentColor;
  transform: rotate(45deg);
}

.closeBtn:hover {
  transform: rotate(120deg);
}



.addToCartModal {
  background-color: rgba(255, 114, 20, 0.9);
  color: rgb(255, 253, 214);

  .modal__body {
    font-size: 16px;
  }

  .modal__actions {
    display: flex;
    gap: 30px;
    justify-content: center;
    align-items: center;
    margin-top: 15px;
  }
}